%define section   free

Name:           easymockclassextension
Version:        1.1
Release:        1jpp
Epoch:          0
Summary:        EasyMock class extension

Group:          Development/Libraries/Java
License:        MIT
URL:            http://www.easymock.org/
Source0:        easymockclassextension1.1.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  cglib
BuildRequires:  easymock = 0:1.1
Requires:  cglib
Requires:  easymock = 0:1.1

%description
This extension allows generating Mock Objects for classes. 
It has been contributed by Joel Shellman, Henri Tremblay 
and Chad Woolley. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}


%prep
%setup -q -n %{name}%{version}
mkdir classes
mkdir src
pushd src
unzip ../src.zip
popd

%build
export CLASSPATH=$(build-classpath \
cglib \
easymock \
)
javac -sourcepath src -d classes \
	src/org/easymock/classextension/MockClassControl.java
pushd classes
jar cf ../%{name}.jar org
popd
javadoc -d javadoc -sourcepath src org.easymock.classextension

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}

install -pm 644 %{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%doc {Documentation,License}.html

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.1-1jpp
- First JPackage release
